/**
 * e[uNX
 */

package hockey;

class Table {
    private double width, height;

    Table(double width, double height) {
        this.width = width;
        this.height = height;
    }

    void bound(Disk d) {
        if(d.x < -width/2 + d.r) {
            d.x = -width/2 + d.r;
            d.vx = -d.e_t*d.vx;
        } else if(d.x > width/2 - d.r) {
            d.x = width/2 - d.r;
            d.vx = -d.e_t*d.vx;
        }
        if(d.y < -height/2 + d.r) {
            d.y = -height/2 + d.r;
            d.vy = -d.e_t*d.vy;
        } else if(d.y > height/2 - d.r) {
            d.y = height/2 - d.r;
            d.vy = -d.e_t*d.vy;
        }
    }

    void bound(Pad p, int id) {
        if(p.x < -width/2 + p.r) p.x = -width/2 + p.r;
        else if(p.x > width/2 - p.r) p.x = width/2 - p.r;
        if(id == 0) {
            if(p.y < p.r) p.y = p.r;
            else if(p.y > height/2 - p.r) p.y = height/2 - p.r;
        } else {
            if(p.y < -height/2 + p.r) p.y = -height/2 + p.r;
            else if(p.y > - p.r) p.y = - p.r;
        }
    }
}