/**
 * Gl~[NX
 */

package hockey;

class Enemy extends Pad{
    private double posx, posy;
    private int state;

    Enemy(double r, double width, double height) {
        super(r, width, height);
        this.posx = 0;
        this.posy = -height/2;
    }

    void move(Disk[] d, double dt, int level) {
        int target = 0, priority = 0;
        double term1 = 0.0, time1 = 0.0, term2 = 0.0, time2 = 0.0, l;

        // ǂ̃fBXNɑ_߂邩
        for(int i=0; i<level; i++) {
            if(d[i].y < 0.0) {
                if(d[i].vy < -20.0) {
                    time1 = -(height/2 + d[i].y)/d[i].vy;
                    term1 = d[i].x + d[i].vx*time1;
                    if(-width/6 < term1 && term1 < width/6) {
                        if(time1 < time2 || priority < 3) {
                            priority = 3;
                            target = i;
                            time2 = time1;
                            term2 = term1;
                        }
                    } else if(time1 < time2 || priority < 2) {
                        priority = 2;
                        target = i;
                        time2 = time1;
                        term2 = term1;
                    }
                } else if(d[i].vy < 20.0 && priority < 1) {
                    priority = 1;
                    target = i;
                }
            }
        }

        if(state == 0 && priority > 0) {
            posx = (0.4*Math.random() - 0.2) * width;
            posy = -height/2 + 0.2*Math.random() * width;
        }
        state = priority;

        // ǂ̂悤ɑłԂ
        l = Math.sqrt((d[target].x - x)*(d[target].x - x) + (d[target].y - y)*(d[target].y - y)) + 0.01;
        if(priority > 1) {
            if(l < 4.0*(r + d[target].r)) {
                vx = 200.0*(d[target].x - x)/l;
                vy = 200.0*(d[target].y - y)/l;
            } else {
                if(term2 < -width/2 + d[target].r) term2 = -width/2 + d[target].r;
                else if(term2 > width/2 - d[target].r) term2 = width/2 - d[target].r;
                l = Math.sqrt(((term2 + d[target].x)/2.0 - x)*((term2 + d[target].x)/2.0 - x) +
                        (-height/2 - y)*(-height/2 - y)) + 0.01;
                vx = 100.0*((term2 + d[target].x)/2.0 - x)/l;
                vy = 100.0*(-height/2 - y)/l;
            }
        } else if(priority == 1) {
            if(l < 4.0*(r + d[target].r)) {
                vx = 150.0*(d[target].x - x)/l;
                vy = 150.0*(d[target].y - y)/l;
            } else {
                l = Math.sqrt((d[target].x - x)*(d[target].x - x) +
                        ((d[target].y - 3.0*(r + d[target].r)) - y)*((d[target].y - 3.0*(r + d[target].r)) - y)) + 0.01;
                vx = 100.0*(d[target].x - x)/l;
                vy = 100.0*((d[target].y - 3.0*(r + d[target].r)) - y)/l;
            }
        } else {
            l = Math.sqrt((posx - x)*(posx - x) + (posy - y)*(posy - y)) + 0.01;
            vx = 50.0*(posx - x)/l;
            vy = 50.0*(posy - y)/l;
        }

        vx *= Math.sqrt(level);
        vy *= Math.sqrt(level);
        x += vx*dt;
        y += vy*dt;
    }
}