/**
 * xNgNX
 */

package library.graphics;

public class Vector {
    //Βl
    public static double abs(double[] v) {
        return Math.sqrt(v[0]*v[0] + v[1]*v[1] + v[2]*v[2]);
    }

    //PʃxNg
    public static double[] normalize(double[] v) {
        double r = abs(v);
        double[] d = {
            v[0]/r, v[1]/r, v[2]/r
        };
        return d;
    }

    //O
    public static double[] cross(double[] v1, double[] v2) {
        double[] d = {
            v1[1]*v2[2] - v1[2]*v2[1], v1[2]*v2[0] - v1[0]*v2[2], v1[0]*v2[1] - v1[1]*v2[0]
        };
        return d;
    }

    //
    public static double dot(double[] v1, double[] v2) {
        return (v1[0]*v2[0] + v1[1]*v2[1] + v1[2]*v2[2]);
    }

    //a
    public static double[] add(double[] v1, double[] v2) {
        double[] d = {
            v1[0] + v2[0], v1[1] + v2[1], v1[2] + v2[2]
        };
        return d;
    }

    //
    public static double[] sub(double[] v1, double[] v2) {
        double[] d = {
            v1[0] - v2[0], v1[1] - v2[1], v1[2] - v2[2]
        };
        return d;
    }

    //萔{
    public static double[] scale(double[] v, double s) {
        double[] d = {
            v[0]*s, v[1]*s, v[2]*s
        };
        return d;
    }
}